Package io.vertx.grpc.reflection.v1

## Class FileDescriptorResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessage.Builder<FileDescriptorResponse.Builder>
      - - io.vertx.grpc.reflection.v1.FileDescriptorResponse.Builder

- All Implemented Interfaces:
    `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `FileDescriptorResponseOrBuilder`, `Cloneable`
  Enclosing class:
    FileDescriptorResponse

      public static final class FileDescriptorResponse.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<FileDescriptorResponse.Builder>
      implements FileDescriptorResponseOrBuilder

       Serialized FileDescriptorProto messages sent by the server answering
       a file_by_filename, file_containing_symbol, or file_containing_extension
       request.

  Protobuf type `grpc.reflection.v1.FileDescriptorResponse`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileDescriptorResponse.Builder` | `addAllFileDescriptorProto​(Iterable<? extends com.google.protobuf.ByteString> values)` | Serialized FileDescriptorProto messages.
    `FileDescriptorResponse.Builder` | `addFileDescriptorProto​(com.google.protobuf.ByteString value)` | Serialized FileDescriptorProto messages.
    `FileDescriptorResponse` | `build()` |
    `FileDescriptorResponse` | `buildPartial()` |
    `FileDescriptorResponse.Builder` | `clear()` |
    `FileDescriptorResponse.Builder` | `clearFileDescriptorProto()` | Serialized FileDescriptorProto messages.
    `FileDescriptorResponse` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
    `com.google.protobuf.ByteString` | `getFileDescriptorProto​(int index)` | Serialized FileDescriptorProto messages.
    `int` | `getFileDescriptorProtoCount()` | Serialized FileDescriptorProto messages.
    `List<com.google.protobuf.ByteString>` | `getFileDescriptorProtoList()` | Serialized FileDescriptorProto messages.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `FileDescriptorResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `FileDescriptorResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
    `FileDescriptorResponse.Builder` | `mergeFrom​(FileDescriptorResponse other)` |
    `FileDescriptorResponse.Builder` | `setFileDescriptorProto​(int index, com.google.protobuf.ByteString value)` | Serialized FileDescriptorProto messages.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.Message.Builder

      `mergeDelimitedFrom, mergeDelimitedFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<FileDescriptorResponse.Builder>`

    - #### clear

          public FileDescriptorResponse.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<FileDescriptorResponse.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<FileDescriptorResponse.Builder>`

    - #### getDefaultInstanceForType

          public FileDescriptorResponse getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public FileDescriptorResponse build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public FileDescriptorResponse buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public FileDescriptorResponse.Builder mergeFrom​(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<FileDescriptorResponse.Builder>`

    - #### mergeFrom

          public FileDescriptorResponse.Builder mergeFrom​(FileDescriptorResponse other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<FileDescriptorResponse.Builder>`

    - #### mergeFrom

          public FileDescriptorResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<FileDescriptorResponse.Builder>`
      Throws:
        `IOException`

    - #### getFileDescriptorProtoList

          public List<com.google.protobuf.ByteString> getFileDescriptorProtoList()

           Serialized FileDescriptorProto messages. We avoid taking a dependency on
           descriptor.proto, which uses proto2 only features, by making them opaque
           bytes instead.

      `repeated bytes file_descriptor_proto = 1;`
      Specified by:
        `getFileDescriptorProtoList` in interface `FileDescriptorResponseOrBuilder`
      Returns:
        A list containing the fileDescriptorProto.

    - #### getFileDescriptorProtoCount

          public int getFileDescriptorProtoCount()

           Serialized FileDescriptorProto messages. We avoid taking a dependency on
           descriptor.proto, which uses proto2 only features, by making them opaque
           bytes instead.

      `repeated bytes file_descriptor_proto = 1;`
      Specified by:
        `getFileDescriptorProtoCount` in interface `FileDescriptorResponseOrBuilder`
      Returns:
        The count of fileDescriptorProto.

    - #### getFileDescriptorProto

          public com.google.protobuf.ByteString getFileDescriptorProto​(int index)

           Serialized FileDescriptorProto messages. We avoid taking a dependency on
           descriptor.proto, which uses proto2 only features, by making them opaque
           bytes instead.

      `repeated bytes file_descriptor_proto = 1;`
      Specified by:
        `getFileDescriptorProto` in interface `FileDescriptorResponseOrBuilder`
      Parameters:
        `index` - The index of the element to return.
      Returns:
        The fileDescriptorProto at the given index.

    - #### setFileDescriptorProto

          public FileDescriptorResponse.Builder setFileDescriptorProto​(int index,
                                                                       com.google.protobuf.ByteString value)

           Serialized FileDescriptorProto messages. We avoid taking a dependency on
           descriptor.proto, which uses proto2 only features, by making them opaque
           bytes instead.

      `repeated bytes file_descriptor_proto = 1;`
      Parameters:
        `index` - The index to set the value at.
        `value` - The fileDescriptorProto to set.
      Returns:
        This builder for chaining.

    - #### addFileDescriptorProto

          public FileDescriptorResponse.Builder addFileDescriptorProto​(com.google.protobuf.ByteString value)

           Serialized FileDescriptorProto messages. We avoid taking a dependency on
           descriptor.proto, which uses proto2 only features, by making them opaque
           bytes instead.

      `repeated bytes file_descriptor_proto = 1;`
      Parameters:
        `value` - The fileDescriptorProto to add.
      Returns:
        This builder for chaining.

    - #### addAllFileDescriptorProto

          public FileDescriptorResponse.Builder addAllFileDescriptorProto​(Iterable<? extends com.google.protobuf.ByteString> values)

           Serialized FileDescriptorProto messages. We avoid taking a dependency on
           descriptor.proto, which uses proto2 only features, by making them opaque
           bytes instead.

      `repeated bytes file_descriptor_proto = 1;`
      Parameters:
        `values` - The fileDescriptorProto to add.
      Returns:
        This builder for chaining.

    - #### clearFileDescriptorProto

          public FileDescriptorResponse.Builder clearFileDescriptorProto()

           Serialized FileDescriptorProto messages. We avoid taking a dependency on
           descriptor.proto, which uses proto2 only features, by making them opaque
           bytes instead.

      `repeated bytes file_descriptor_proto = 1;`
      Returns:
        This builder for chaining.